openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/TH_TEST_RFC:
    post:
      tags:
      - THF2
      operationId: /rfc/TH_TEST_RFC
      requestBody:
        content:
          application/json:
            schema:
              properties:
                DUMP:
                  type: string
                  default: ' '
                  maxLength: 1
                ENDLESS:
                  type: integer
                  format: int32
                  default: 0
                  description: Loops, Current Loop Pass
                ENQ_BASE:
                  type: integer
                  format: int32
                  default: 0
                ERR_MSG:
                  type: string
                  default: ' '
                  maxLength: 1
                NO_FB:
                  type: string
                  default: '1'
                  maxLength: 100
                NO_LOOPS:
                  type: string
                  default: '1'
                  maxLength: 100
                OPCODE:
                  type: string
                  default: U
                  maxLength: 1
                  description: Op. Code
                SEC_DEST:
                  type: string
                  default: NONE
                  maxLength: 40
                SEC_LOOPS:
                  type: string
                  default: '2000'
                  maxLength: 100
                SEC_OPCODE:
                  type: string
                  default: U
                  maxLength: 1
                STOP:
                  type: string
                  default: ' '
                  maxLength: 1
                TEXT_IN:
                  type: string
                  default: Standardtext
                  maxLength: 100
                TABLE:
                  type: array
                  items:
                    type: object
                    properties:
                      MANDT1:
                        type: string
                        maxLength: 3
                        description: Client
                      MANDT2:
                        type: string
                        maxLength: 3
                        description: Client
                      BNAME1:
                        type: string
                        maxLength: 12
                        description: User name
                      BNAME2:
                        type: string
                        maxLength: 12
                        description: User name
                      TCODE1:
                        type: string
                        maxLength: 20
                        description: Transaction Code
                      TCODE2:
                        type: string
                        maxLength: 20
                        description: Transaction Code
                      USER_KEY:
                        type: string
                        maxLength: 512
                        description: User Key for Remote Logon
                      CONVID:
                        type: string
                        maxLength: 8
                        description: CPIC conversation ID
                      SECUID:
                        type: string
                        maxLength: 10
                        description: Security user ID
                      SECPWD:
                        type: string
                        maxLength: 10
                        description: Security password
                      SECTYPE:
                        type: integer
                        format: int32
                        description: Security Type
                      VBSINFO:
                        type: string
                        maxLength: 50
                        description: VB info in string form
                      VBGETINFO:
                        type: integer
                        format: int32
                        description: 1 byte value
                      VBDELINFO:
                        type: string
                        maxLength: 50
                        description: VB info in string form
                      VBV2INFO:
                        type: string
                        maxLength: 50
                        description: VB info in string form
                      COUNTER:
                        type: integer
                        format: int32
                        description: Statistics, counter field in raw statistical record
                      TRACECOMPS:
                        type: string
                        maxLength: 20
                        description: Trace components
                      POPUPMSG:
                        type: string
                        maxLength: 128
                        description: PopUp text
                      WP_TYPE:
                        type: string
                        maxLength: 3
                        description: 'Work Process Type  enumValues: ALL=All,BTC=Batch,DIA=Dialog,UP2=Update2,SPO=Spool,ENQ=Enqueue,UPD=Update'
                        enum:
                        - ALL
                        - BTC
                        - DIA
                        - UP2
                        - SPO
                        - ENQ
                        - UPD
                      FLAG:
                        type: string
                        maxLength: 1
                        description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      CLIENT:
                        type: string
                        maxLength: 3
                        description: Client
                      USER:
                        type: string
                        maxLength: 12
                        description: User name
                      POOLED:
                        type: string
                        maxLength: 1
                        description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
                      GLOBAL:
                        type: string
                        maxLength: 1
                        description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                        enum:
                        - X
                        - ''
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  TEXT_OUT:
                    type: string
                    maxLength: 100
                    description: Loops, Current Loop Pass
                  TABLE:
                    type: array
                    items:
                      type: object
                      properties:
                        MANDT1:
                          type: string
                          maxLength: 3
                          description: Client
                        MANDT2:
                          type: string
                          maxLength: 3
                          description: Client
                        BNAME1:
                          type: string
                          maxLength: 12
                          description: User name
                        BNAME2:
                          type: string
                          maxLength: 12
                          description: User name
                        TCODE1:
                          type: string
                          maxLength: 20
                          description: Transaction Code
                        TCODE2:
                          type: string
                          maxLength: 20
                          description: Transaction Code
                        USER_KEY:
                          type: string
                          maxLength: 512
                          description: User Key for Remote Logon
                        CONVID:
                          type: string
                          maxLength: 8
                          description: CPIC conversation ID
                        SECUID:
                          type: string
                          maxLength: 10
                          description: Security user ID
                        SECPWD:
                          type: string
                          maxLength: 10
                          description: Security password
                        SECTYPE:
                          type: integer
                          format: int32
                          description: Security Type
                        VBSINFO:
                          type: string
                          maxLength: 50
                          description: VB info in string form
                        VBGETINFO:
                          type: integer
                          format: int32
                          description: 1 byte value
                        VBDELINFO:
                          type: string
                          maxLength: 50
                          description: VB info in string form
                        VBV2INFO:
                          type: string
                          maxLength: 50
                          description: VB info in string form
                        COUNTER:
                          type: integer
                          format: int32
                          description: Statistics, counter field in raw statistical record
                        TRACECOMPS:
                          type: string
                          maxLength: 20
                          description: Trace components
                        POPUPMSG:
                          type: string
                          maxLength: 128
                          description: PopUp text
                        WP_TYPE:
                          type: string
                          maxLength: 3
                          description: 'Work Process Type  enumValues: ALL=All,BTC=Batch,DIA=Dialog,UP2=Update2,SPO=Spool,ENQ=Enqueue,UPD=Update'
                          enum:
                          - ALL
                          - BTC
                          - DIA
                          - UP2
                          - SPO
                          - ENQ
                          - UPD
                        FLAG:
                          type: string
                          maxLength: 1
                          description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        CLIENT:
                          type: string
                          maxLength: 3
                          description: Client
                        USER:
                          type: string
                          maxLength: 12
                          description: User name
                        POOLED:
                          type: string
                          maxLength: 1
                          description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
                        GLOBAL:
                          type: string
                          maxLength: 1
                          description: 'General Flag  enumValues: X=Flag set. Event has occurred.,""=Flag is Not Set'
                          enum:
                          - X
                          - ''
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
